aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/UserScripts
diff options
context:
space:
mode:
Diffstat (limited to 'config/hypr/UserScripts')
-rwxr-xr-xconfig/hypr/UserScripts/RofiBeats.sh6
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperEffects.sh16
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperRandom.sh11
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperSelect.sh7
4 files changed, 21 insertions, 19 deletions
diff --git a/config/hypr/UserScripts/RofiBeats.sh b/config/hypr/UserScripts/RofiBeats.sh
index e615aadb..51b869f1 100755
--- a/config/hypr/UserScripts/RofiBeats.sh
+++ b/config/hypr/UserScripts/RofiBeats.sh
@@ -39,7 +39,7 @@ populate_local_music() {
# Function for displaying notifications
notification() {
- notify-send -u normal -i "$iDIR/music.png" "Playing: $@"
+ notify-send -u normal -i "$iDIR/music.png" "$(printf "\n Playing:\n $@")"
}
# Main function for playing local music
@@ -69,7 +69,7 @@ play_local_music() {
# Main function for shuffling local music
shuffle_local_music() {
- notification "Shuffle local music"
+ notification "Shuffle Play local music"
# Play music in $mDIR on shuffle
mpv --shuffle --loop-playlist --vid=no "$mDIR"
@@ -92,7 +92,7 @@ play_online_music() {
}
# Check if an online music process is running and send a notification, otherwise run the main function
-pkill mpv && notify-send -u low -i "$iDIR/music.png" "Music stopped" || {
+pkill mpv && notify-send -u low -i "$iDIR/music.png" "$(printf "\n Music stopped")" || {
# Check if rofi is already running
if pidof rofi > /dev/null; then
diff --git a/config/hypr/UserScripts/WallpaperEffects.sh b/config/hypr/UserScripts/WallpaperEffects.sh
index 9a9d289c..b98b572b 100755
--- a/config/hypr/UserScripts/WallpaperEffects.sh
+++ b/config/hypr/UserScripts/WallpaperEffects.sh
@@ -1,7 +1,6 @@
#!/bin/bash
# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ #
# Wallpaper Effects using ImageMagick (SUPER SHIFT W)
-# Inspiration from ML4W - Stephan Raabe https://github.com/mylinuxforwork/dotfiles
# Variables
current_wallpaper="$HOME/.config/hypr/wallpaper_effects/.wallpaper_current"
@@ -40,16 +39,17 @@ declare -A effects=(
# Function to apply no effects
no-effects() {
- swww img -o "$focused_monitor" "$current_wallpaper" $SWWW_PARAMS &
+ swww img -o "$focused_monitor" "$current_wallpaper" $SWWW_PARAMS &&
# Wait for swww command to complete
wait $!
# Run other commands after swww
- wallust run "$current_wallpaper" -s &
- # Wait to complete
+ wallust run "$current_wallpaper" -s &&
wait $!
# Refresh rofi, waybar, wallust palettes
- "${SCRIPTSDIR}/Refresh.sh"
- notify-send -u low -i "$iDIR/bell.png" "No wallpaper effects"
+ sleep 2
+ "$SCRIPTSDIR/Refresh.sh"
+
+ notify-send -u low -i "$iDIR/bell.png" "$(printf "\n No wallpaper effects")"
# copying wallpaper for rofi menu
cp "$current_wallpaper" "$wallpaper_output"
}
@@ -71,7 +71,7 @@ main() {
no-effects
elif [[ "${effects[$choice]+exists}" ]]; then
# Apply selected effect
- notify-send -u normal -i "$iDIR/bell.png" "Applying $choice effects"
+ notify-send -u normal -i "$iDIR/bell.png" "$(printf "\n Applying\n $choice effects")"
eval "${effects[$choice]}"
# Wait for effects to be applied
sleep 1
@@ -85,7 +85,7 @@ main() {
sleep 0.5
# Refresh rofi, waybar, wallust palettes
"${SCRIPTSDIR}/Refresh.sh"
- notify-send -u low -i "$iDIR/bell.png" "$choice effects applied"
+ notify-send -u low -i "$iDIR/bell.png" "$(printf "\n $choice effects\n applied")"
else
echo "Effect '$choice' not recognized."
fi
diff --git a/config/hypr/UserScripts/WallpaperRandom.sh b/config/hypr/UserScripts/WallpaperRandom.sh
index 6e8f5ff6..3c8c7520 100755
--- a/config/hypr/UserScripts/WallpaperRandom.sh
+++ b/config/hypr/UserScripts/WallpaperRandom.sh
@@ -3,7 +3,7 @@
# Script for Random Wallpaper ( CTRL ALT W)
wallDIR="$HOME/Pictures/wallpapers"
-scriptsDir="$HOME/.config/hypr/scripts"
+SCRIPTSDIR="$HOME/.config/hypr/scripts"
focused_monitor=$(hyprctl monitors | awk '/^Monitor/{name=$2} /focused: yes/{print name}')
@@ -21,9 +21,10 @@ SWWW_PARAMS="--transition-fps $FPS --transition-type $TYPE --transition-duration
swww query || swww-daemon --format xrgb && swww img -o $focused_monitor ${RANDOMPICS} $SWWW_PARAMS
-sleep 1.5
-${scriptsDir}/WallustSwww.sh
+wait $!
+"$SCRIPTSDIR/WallustSwww.sh" &&
-sleep 0.5
-${scriptsDir}/Refresh.sh
+wait $!
+sleep 2
+"$SCRIPTSDIR/Refresh.sh"
diff --git a/config/hypr/UserScripts/WallpaperSelect.sh b/config/hypr/UserScripts/WallpaperSelect.sh
index 8daa4f28..6aa60804 100755
--- a/config/hypr/UserScripts/WallpaperSelect.sh
+++ b/config/hypr/UserScripts/WallpaperSelect.sh
@@ -101,9 +101,10 @@ fi
main
-sleep 1.5
-"$SCRIPTSDIR/WallustSwww.sh"
+wait $!
+"$SCRIPTSDIR/WallustSwww.sh" &&
-sleep 0.5
+wait $!
+sleep 2
"$SCRIPTSDIR/Refresh.sh"
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage